Update a Chargeback Dispute
Updates an existing chargeback dispute with additional evidence or status information.
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <api-key>' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"evidence": [
{
"content_type": "application/pdf",
"file_name": "Receipt_AA002",
"content_category": "RECEIPT",
"content": "JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo="
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute"
payload = { "evidence": [
{
"content_type": "application/pdf",
"file_name": "Receipt_AA002",
"content_category": "RECEIPT",
"content": "JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo="
}
] }
headers = {
"X-Idempotency-Key": "<api-key>",
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Idempotency-Key': '<api-key>',
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
evidence: [
{
content_type: 'application/pdf',
file_name: 'Receipt_AA002',
content_category: 'RECEIPT',
content: 'JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo='
}
]
})
};
fetch('https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'evidence' => [
[
'content_type' => 'application/pdf',
'file_name' => 'Receipt_AA002',
'content_category' => 'RECEIPT',
'content' => 'JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo='
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Idempotency-Key: <api-key>",
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute"
payload := strings.NewReader("{\n \"evidence\": [\n {\n \"content_type\": \"application/pdf\",\n \"file_name\": \"Receipt_AA002\",\n \"content_category\": \"RECEIPT\",\n \"content\": \"JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo=\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Idempotency-Key", "<api-key>")
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute")
.header("X-Idempotency-Key", "<api-key>")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"evidence\": [\n {\n \"content_type\": \"application/pdf\",\n \"file_name\": \"Receipt_AA002\",\n \"content_category\": \"RECEIPT\",\n \"content\": \"JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo=\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Idempotency-Key"] = '<api-key>'
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"evidence\": [\n {\n \"content_type\": \"application/pdf\",\n \"file_name\": \"Receipt_AA002\",\n \"content_category\": \"RECEIPT\",\n \"content\": \"JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo=\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "b001d824-3f3f-48fc-98ef-a3114b918c1e",
"account_id": "210a524f-7ad3-437a-be7e-9e99bdf4d742",
"description": "Test Purchase",
"country": "AR",
"status": "IN_DISPUTE",
"sub_status": "PENDING_REVIEW",
"merchant_order_id": "65742358",
"created_at": "2025-11-26T20:34:08.330622Z",
"updated_at": "2025-11-26T20:34:12.580560Z",
"amount": {
"captured": 0,
"currency": "ARS",
"currency_conversion": null,
"refunded": 0,
"value": 2000
},
"checkout": null,
"payment_method": {
"vaulted_token": "",
"type": "CARD",
"vault_on_success": false,
"token": "",
"parent_payment_method_type": null,
"payment_method_detail": {
"card": {
"verify": false,
"capture": false,
"installments": 1,
"installments_plan_id": null,
"first_installment_deferral": 0,
"installments_type": null,
"installment_amount": null,
"installments_total_amount": null,
"soft_descriptor": "",
"authorization_code": "393119",
"retrieval_reference_number": "",
"acquirer_reference_number": "",
"voucher": null,
"card_data": {
"holder_name": "John Diaz",
"iin": "45130761",
"lfd": "5348",
"number_length": 16,
"security_code_length": 3,
"brand": "VISA",
"issuer_name": "BANCOLOMBIA",
"issuer_code": null,
"country_code": "CO",
"category": "CLASSIC",
"type": "CREDIT",
"fingerprint": "2213e58a-33d7-4bdc-8cbe-4785f683c410",
"expiration_month": 6,
"expiration_year": 26
},
"stored_credentials": {
"reason": null,
"usage": null,
"subscription_agreement_id": null,
"network_transaction_id": null
}
}
}
},
"customer_payer": {
"id": "1b9ef2f7-b69e-4dd0-b0a1-3605dfc2ad2f",
"merchant_customer_id": "6a1b6e7e0e104f28929015fd6182e9f9",
"first_name": "Margarita",
"last_name": "Parra",
"gender": "NB",
"date_of_birth": "1952-02-27",
"email": "qpacheco@example.com",
"nationality": "AR",
"ip_address": "205.52.88.44",
"device_fingerprint": "90ede54c-d2d4-4e2e-8189-6b81091231b0",
"device_fingerprints": [
{
"provider_id": "DEFAULT",
"id": "90ede54c-d2d4-4e2e-8189-6b81091231b0"
},
{
"provider_id": "CLEAR_SALE",
"id": "c1c4907c-3339-4217-a4bd-1e9be74b3819"
},
{
"provider_id": "CYBERSOURCE",
"id": "d5c56387-4d06-479b-b55b-eab81e5211bc"
},
{
"provider_id": "OPENPAY",
"id": "89451345904503181146447710703990"
},
{
"provider_id": "MERCADO_PAGO",
"id": "armor.cofxzlvhsrpuslf5ychwxvszwaicsanbuub2on7rfuzmyfijppqm8vcziky3h3emxkz3b2aopl04ublu0jufbtwk8sm232fin19btcnd3q1jdpku6cp9ybn8exc2vcuoalosq51bpfefzhsqx4tuythte5jaruh4keo2fcm9r9wwy96s8djk0e5nmsi8z6pfi7e94tsoe7h09s227umko9kyf4p0xanqn"
}
],
"browser_info": {
"user_agent": "Chrome",
"accept_header": "true",
"accept_content": "true",
"accept_browser": "true",
"color_depth": "red",
"screen_height": "500",
"screen_width": "100",
"javascript_enabled": true,
"java_enabled": true,
"browser_time_difference": "-3:00",
"language": "es",
"platform": null
},
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"phone": {
"number": "91112345678",
"country_code": "54"
},
"billing_address": {
"address_line_1": "Avenida Putumayo 1780",
"address_line_2": "Diagonal 181G 6572",
"country": "AR",
"state": "Álava",
"city": "Suárez",
"zip_code": "25207",
"neighborhood": "Barrio Núñez"
},
"shipping_address": {
"address_line_1": "Diagonal 61 2487",
"address_line_2": "Av. carrera 54 7627",
"country": "AR",
"state": "Guipúzcoa",
"city": "San Benito",
"zip_code": "31718",
"neighborhood": "Villa La Esperanza"
},
"merchant_customer_created_at": "2025-11-26T20:34:06.941Z",
"geolocation": {
"latitude": "80.00",
"longitude": "103.00"
}
},
"additional_data": {
"airline": {
"pnr": "ABC123",
"legs": [
{
"order": null,
"route_order": null,
"passenger_id": null,
"departure_airport": "JFK",
"departure_datetime": "2024-07-03T05:00:00",
"departure_airport_timezone": "GMT-05",
"arrival_airport": "LAX",
"arrival_airport_timezone": "+00:00",
"arrival_datetime": "2030-07-03T22:59:00",
"carrier_code": "AA",
"carrier_name": "American Airlines",
"flight_number": "123",
"fare_basis_code": "Y",
"fare_class_code": "S",
"base_fare": 1800,
"base_fare_currency": "USD",
"stopover_code": "O",
"departure_airport_country": "NL",
"departure_airport_city": "Amsterdam",
"arrival_airport_country": "AR",
"arrival_airport_city": "Buenos aires",
"expedited_boarding": null,
"extra_baggage": null,
"purchased_meals": null,
"selected_seat": null
}
],
"passengers": [
{
"id": null,
"first_name": "Antonio",
"last_name": "Vargas",
"middle_name": "Piedad",
"type": "A",
"date_of_birth": "1999-12-17",
"nationality": "US",
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"country": "CO",
"loyalty_number": "79250001",
"loyalty_tier": "DIAMOND",
"email": "anaarias@example.com",
"phone": {
"number": "91112345678",
"country_code": "54"
},
"address": null,
"evidence_document_source": null
},
{
"id": null,
"first_name": "Álvaro",
"last_name": "Bravo",
"middle_name": "Edwin",
"type": "C",
"date_of_birth": "1973-07-25",
"nationality": "CO",
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"country": "CO",
"loyalty_number": "79250002",
"loyalty_tier": "SILVER",
"email": "leidysanchez@example.com",
"phone": {
"number": "91112345678",
"country_code": "54"
},
"address": null,
"evidence_document_source": null
}
],
"type": null,
"ticket": {
"ticket_number": "BRB0001",
"passenger_id": null,
"e_ticket": true,
"restricted": false,
"total_fare_amount": 2000,
"total_tax_amount": 180,
"total_fee_amount": 20,
"issue": {
"carrier_prefix_code": "AA",
"travel_agent_code": "A12345",
"travel_agent_name": "TRAVEL AGENCY",
"date": "2023-10-31",
"address": "123 Main St",
"city": "New York",
"country": "US",
"zip_code": "10001",
"booking_system_code": "1G",
"booking_system_name": "Galileo"
}
},
"tickets": [
{
"ticket_number": "BRB0001",
"passenger_id": null,
"e_ticket": true,
"restricted": false,
"total_fare_amount": 2000,
"total_tax_amount": 180,
"total_fee_amount": 20,
"issue": {
"carrier_prefix_code": "AA",
"travel_agent_code": "A12345",
"travel_agent_name": "TRAVEL AGENCY",
"date": "2023-10-31",
"address": "123 Main St",
"city": "New York",
"country": "US",
"zip_code": "10001",
"booking_system_code": "1G",
"booking_system_name": "Galileo"
}
}
]
},
"transportations": null,
"order": {
"fee_amount": 1,
"shipping_amount": 3,
"tip_amount": 2,
"items": [
{
"id": "97029",
"name": "SKIRT",
"quantity": 3,
"unit_amount": 2000,
"category": "OTHERS",
"brand": "Barrera Group",
"sku_code": "SC-01905",
"manufacture_part_number": "MPN-70919"
},
{
"id": "61906",
"name": "SKIRT",
"quantity": 1,
"unit_amount": 2000,
"category": "OTHERS",
"brand": "Suárez-Castellanos",
"sku_code": "SC-14444",
"manufacture_part_number": "MPN-43825"
}
],
"taxes": [
{
"type": "VAT",
"tax_base": 100,
"value": 10,
"percentage": 10
}
],
"shipping": {
"type": "ELECTRONIC",
"description": "q4O6W8x8ONwpbgHjlxlz",
"carrier": "AR_OCA",
"deliver_at": "2025-11-26T20:34:07.500866Z",
"recipients": []
},
"account_funding": {
"sender": {
"national_entity": null,
"first_name": "Reinaldo",
"last_name": "Rojas",
"legal_name": null,
"email": null,
"country": null,
"date_of_birth": null,
"document": null,
"phone": null,
"address": null
},
"beneficiary": {
"national_entity": null,
"first_name": "Leidy",
"last_name": "González",
"legal_name": null,
"email": null,
"country": "AR",
"date_of_birth": "1983-12-07",
"document": null,
"phone": {
"number": "91112345678",
"country_code": "54"
},
"address": {
"address_line_1": "Calle 4ª 3050",
"address_line_2": "Carrera 98 6425",
"country": "AR",
"city": "",
"zip_code": "",
"neighborhood": "Barrio Colegiales"
}
}
},
"tickets": [
{
"id": "57bfc6e7-c270-4fcc-a578-a76e6eaa4576",
"name": "Ticket vitae",
"description": "Description 4I%n",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "3e9d0621-e8ca-4415-9025-95d568cac569",
"name": "Event doloremque",
"description": "Description ipsam",
"type": "CIRCUS",
"date": "2025-11-26",
"address": {
"address_line_1": "Diagonal 33 2395",
"address_line_2": "Cl. 112E 6497",
"city": "Paz de Ariporo",
"country": "AR",
"state": "Lleida",
"zip_code": "18124",
"neighborhood": "Conjunto Los Laureles"
}
}
},
{
"id": "f842ae67-2f7d-4415-9d9e-9a51d2712c13",
"name": "Ticket aspernatur",
"description": "Description jS3*",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "af726450-abf5-49d1-b43a-9e65f88d606e",
"name": "Event officia",
"description": "Description quo",
"type": "CIRCUS",
"date": "2025-11-26",
"address": {
"address_line_1": "Tr. 194B 459",
"address_line_2": "Cl. 102L Sur 2950",
"city": "Moniquirá",
"country": "AR",
"state": "Segovia",
"zip_code": "31278",
"neighborhood": "Barrio Los Olivos"
}
}
},
{
"id": "51100a8e-04ec-45c1-8fea-2fa70a7966d3",
"name": "Ticket hic",
"description": "Description mR;2",
"type": "PHYSICAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "2164fb39-7be3-46aa-adc9-310eb33b4f05",
"name": "Event hic",
"description": "Description beatae",
"type": "SPORTS",
"date": "2025-11-26",
"address": {
"address_line_1": "Av. Pérez 8882",
"address_line_2": "Carrera 23 5900",
"city": "Vijes",
"country": "AR",
"state": "Zamora",
"zip_code": "24300",
"neighborhood": "Barrio El Paraíso"
}
}
},
{
"id": "6f465375-0ded-4ac7-848c-39450bff069d",
"name": "Ticket totam",
"description": "Description t0}E",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "e564bf42-0385-4ad8-a38a-eb481a434cbf",
"name": "Event neque",
"description": "Description facilis",
"type": "OTHERS",
"date": "2025-11-26",
"address": {
"address_line_1": "Avenida carrera 153 3115",
"address_line_2": "Cr. 121G Bis 4048",
"city": "La Ceja",
"country": "AR",
"state": "Castellón",
"zip_code": "39464",
"neighborhood": "Conjunto Belgrano"
}
}
},
{
"id": "b40b5fb7-3a1b-4315-bf01-4ba9b7ef99aa",
"name": "Ticket esse",
"description": "Description wI2;",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "a4f1f47f-8853-4ac2-b574-6b05d4a611fd",
"name": "Event eos",
"description": "Description natus",
"type": "CINEMA",
"date": "2025-11-26",
"address": {
"address_line_1": "Cr. 6E Bis 3665",
"address_line_2": "Carrera 9 Este 1918",
"city": "Teorama",
"country": "AR",
"state": "Madrid",
"zip_code": "32993",
"neighborhood": "Villa Las Flores"
}
}
}
],
"fulfillment": null,
"discounts": [
{
"id": "10FF",
"name": "10% Discount",
"unit_amount": 10
}
],
"sales_channel": "marketplace"
},
"seller_details": {
"name": "Mendoza-Cerón",
"website": "http://navarro.info/category/postsregister.html",
"email": "iospina@example.net",
"address": {
"address_line_1": "Av. calle 5ª 3906",
"address_line_2": "Dg. 8ª 8965",
"country": "AR",
"state": "ARGENTINA",
"city": "Curití",
"zip_code": "15484"
},
"reference": "39245884",
"country": "AR",
"phone": {
"number": "6844503463",
"country_code": "23"
},
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"industry": "ELECTRONICS",
"merchant_category_code": "6628"
}
},
"transactions": {
"id": "4a963490-70c2-4669-975a-a6901b4b5abf",
"type": "CHARGEBACK",
"status": "CREATED",
"category": "CARD",
"amount": 2000,
"provider_id": "BAMBOO",
"payment_method": {
"vaulted_token": "",
"type": "CARD",
"vault_on_success": false,
"token": "",
"parent_payment_method_type": null,
"detail": {
"card": {
"verify": false,
"capture": false,
"installments": 1,
"installments_plan_id": null,
"first_installment_deferral": 0,
"installments_type": null,
"installment_amount": null,
"installments_total_amount": null,
"soft_descriptor": "",
"authorization_code": "393119",
"retrieval_reference_number": "",
"acquirer_reference_number": "",
"voucher": null,
"card_data": {
"holder_name": "Pepito Perez",
"iin": "45130761",
"lfd": "5348",
"number_length": 16,
"security_code_length": 3,
"brand": "VISA",
"issuer_name": "BANCOLOMBIA",
"issuer_code": null,
"country_code": "CO",
"category": "CLASSIC",
"type": "CREDIT",
"fingerprint": "2213e58a-33d7-4bdc-8cbe-4785f683c410",
"expiration_month": 6,
"expiration_year": 26
},
"stored_credentials": {
"reason": null,
"usage": null,
"subscription_agreement_id": null,
"network_transaction_id": null
}
}
}
},
"response_code": "SUCCEEDED",
"response_message": "CHARGEBACK_CREATED",
"reason": "REQUESTED_BY_CUSTOMER",
"description": "webhook transaction",
"merchant_reference": "Reference-ac04c8a6-78c7-4588-b915-5498455369ef",
"provider_data": {
"id": "BAMBOO",
"transaction_id": "121030201030210312",
"account_id": "",
"status": "APPROVED",
"sub_status": "",
"status_detail": "",
"response_message": null,
"response_code": null,
"raw_response": null,
"third_party_transaction_id": null,
"third_party_account_id": null,
"iso8583_response_code": null,
"iso8583_response_message": null,
"merchant_advice_code": null,
"merchant_advice_code_message": null,
"reason_code": null,
"reason_description": null
},
"connection_data": {
"id": null,
"name": null
},
"created_at": "2025-11-26T20:34:12.529203Z",
"updated_at": "2025-11-26T20:34:12.559289Z",
"merchant_advice_code": null,
"merchant_advice_code_message": null
},
"transactions_history": null,
"split_marketplace": [],
"callback_url": "https://example.com/callback",
"workflow": "DIRECT",
"metadata": [
{
"key": "explicabo",
"value": "nihil"
},
{
"key": "quas",
"value": "veritatis"
},
{
"key": "numquam",
"value": "placeat"
},
{
"key": "eos",
"value": "quo"
},
{
"key": "corrupti",
"value": "eveniet"
},
{
"key": "occaecati",
"value": "consectetur"
}
],
"fraud_screening": null,
"payment_link_id": "",
"subscription_code": null,
"routing_rules": {
"smart_routing": false,
"monitors": false,
"condition": {
"id": 64972,
"name": null,
"description": null
}
},
"simplified_mode": false
}CHARGEBACK in status CREATED or ADDITIONAL_INFORMATION_REQUIRED. Otherwise the API answers 400 INVALID_TRANSACTION. The request body holds only the evidence array.
- Chargeback status: Updating evidence does not change the chargeback status. The chargeback status remains unchanged regardless of whether additional evidence is added.
- Provider support: Not all payment providers support updating disputes after they have been submitted. If a provider does not support updates, the endpoint will return a controlled error with an UPPER_SNAKE_CASE error code (e.g.,
UPDATE_NOT_SUPPORTED), and the chargeback status will remain unchanged. - Error handling: If you receive a 404 error indicating the provider doesn’t support the update flow, the chargeback status will remain the same, and you will receive a controlled error response with a descriptive error code and message.
Size: File must be no larger than 1 MB in size.
Language: Dispute should be written in English or the country’s local language.
Authorizations
Headers
Unique identifier used in HTTP headers to ensure that a request is processed only once, even if it is retried due to network issues or timeouts.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Path Parameters
The unique identifier of the payment (UUID, 36 chars).
The unique identifier of the transaction (UUID, 36 chars).
Body
The evidence files object
Show child attributes
Show child attributes
Response
200
"b001d824-3f3f-48fc-98ef-a3114b918c1e"
"210a524f-7ad3-437a-be7e-9e99bdf4d742"
"Test Purchase"
"AR"
"IN_DISPUTE"
"PENDING_REVIEW"
"65742358"
"2025-11-26T20:34:08.330622Z"
"2025-11-26T20:34:12.580560Z"
Show child attributes
Show child attributes
The total discount of the Yuno promotion applied to the payment: the sum of the YUNO_PROMOTION lines of additional_data.order.discounts. Absent when no promotion applied. The amount charged is amount.value minus this value, and it is on transactions.amount. See Promotions.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"https://example.com/callback"
"DIRECT"
Show child attributes
Show child attributes
""
Show child attributes
Show child attributes
false
Was this page helpful?
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <api-key>' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"evidence": [
{
"content_type": "application/pdf",
"file_name": "Receipt_AA002",
"content_category": "RECEIPT",
"content": "JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo="
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute"
payload = { "evidence": [
{
"content_type": "application/pdf",
"file_name": "Receipt_AA002",
"content_category": "RECEIPT",
"content": "JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo="
}
] }
headers = {
"X-Idempotency-Key": "<api-key>",
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Idempotency-Key': '<api-key>',
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
evidence: [
{
content_type: 'application/pdf',
file_name: 'Receipt_AA002',
content_category: 'RECEIPT',
content: 'JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo='
}
]
})
};
fetch('https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'evidence' => [
[
'content_type' => 'application/pdf',
'file_name' => 'Receipt_AA002',
'content_category' => 'RECEIPT',
'content' => 'JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo='
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Idempotency-Key: <api-key>",
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute"
payload := strings.NewReader("{\n \"evidence\": [\n {\n \"content_type\": \"application/pdf\",\n \"file_name\": \"Receipt_AA002\",\n \"content_category\": \"RECEIPT\",\n \"content\": \"JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo=\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Idempotency-Key", "<api-key>")
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute")
.header("X-Idempotency-Key", "<api-key>")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"evidence\": [\n {\n \"content_type\": \"application/pdf\",\n \"file_name\": \"Receipt_AA002\",\n \"content_category\": \"RECEIPT\",\n \"content\": \"JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo=\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/dispute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Idempotency-Key"] = '<api-key>'
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"evidence\": [\n {\n \"content_type\": \"application/pdf\",\n \"file_name\": \"Receipt_AA002\",\n \"content_category\": \"RECEIPT\",\n \"content\": \"JVBERi0xLjQKMSAwIG9iajw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAyIDAgUj4+ZW5kb2JqCjIgMCBvYmo8PC9UeXBlL1BhZ2VzL0tpZHNbXS9Db3VudCAwPj5lbmRvYmoKdHJhaWxlcjw8L1Jvb3QgMSAwIFI+PgolJUVPRgo=\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "b001d824-3f3f-48fc-98ef-a3114b918c1e",
"account_id": "210a524f-7ad3-437a-be7e-9e99bdf4d742",
"description": "Test Purchase",
"country": "AR",
"status": "IN_DISPUTE",
"sub_status": "PENDING_REVIEW",
"merchant_order_id": "65742358",
"created_at": "2025-11-26T20:34:08.330622Z",
"updated_at": "2025-11-26T20:34:12.580560Z",
"amount": {
"captured": 0,
"currency": "ARS",
"currency_conversion": null,
"refunded": 0,
"value": 2000
},
"checkout": null,
"payment_method": {
"vaulted_token": "",
"type": "CARD",
"vault_on_success": false,
"token": "",
"parent_payment_method_type": null,
"payment_method_detail": {
"card": {
"verify": false,
"capture": false,
"installments": 1,
"installments_plan_id": null,
"first_installment_deferral": 0,
"installments_type": null,
"installment_amount": null,
"installments_total_amount": null,
"soft_descriptor": "",
"authorization_code": "393119",
"retrieval_reference_number": "",
"acquirer_reference_number": "",
"voucher": null,
"card_data": {
"holder_name": "John Diaz",
"iin": "45130761",
"lfd": "5348",
"number_length": 16,
"security_code_length": 3,
"brand": "VISA",
"issuer_name": "BANCOLOMBIA",
"issuer_code": null,
"country_code": "CO",
"category": "CLASSIC",
"type": "CREDIT",
"fingerprint": "2213e58a-33d7-4bdc-8cbe-4785f683c410",
"expiration_month": 6,
"expiration_year": 26
},
"stored_credentials": {
"reason": null,
"usage": null,
"subscription_agreement_id": null,
"network_transaction_id": null
}
}
}
},
"customer_payer": {
"id": "1b9ef2f7-b69e-4dd0-b0a1-3605dfc2ad2f",
"merchant_customer_id": "6a1b6e7e0e104f28929015fd6182e9f9",
"first_name": "Margarita",
"last_name": "Parra",
"gender": "NB",
"date_of_birth": "1952-02-27",
"email": "qpacheco@example.com",
"nationality": "AR",
"ip_address": "205.52.88.44",
"device_fingerprint": "90ede54c-d2d4-4e2e-8189-6b81091231b0",
"device_fingerprints": [
{
"provider_id": "DEFAULT",
"id": "90ede54c-d2d4-4e2e-8189-6b81091231b0"
},
{
"provider_id": "CLEAR_SALE",
"id": "c1c4907c-3339-4217-a4bd-1e9be74b3819"
},
{
"provider_id": "CYBERSOURCE",
"id": "d5c56387-4d06-479b-b55b-eab81e5211bc"
},
{
"provider_id": "OPENPAY",
"id": "89451345904503181146447710703990"
},
{
"provider_id": "MERCADO_PAGO",
"id": "armor.cofxzlvhsrpuslf5ychwxvszwaicsanbuub2on7rfuzmyfijppqm8vcziky3h3emxkz3b2aopl04ublu0jufbtwk8sm232fin19btcnd3q1jdpku6cp9ybn8exc2vcuoalosq51bpfefzhsqx4tuythte5jaruh4keo2fcm9r9wwy96s8djk0e5nmsi8z6pfi7e94tsoe7h09s227umko9kyf4p0xanqn"
}
],
"browser_info": {
"user_agent": "Chrome",
"accept_header": "true",
"accept_content": "true",
"accept_browser": "true",
"color_depth": "red",
"screen_height": "500",
"screen_width": "100",
"javascript_enabled": true,
"java_enabled": true,
"browser_time_difference": "-3:00",
"language": "es",
"platform": null
},
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"phone": {
"number": "91112345678",
"country_code": "54"
},
"billing_address": {
"address_line_1": "Avenida Putumayo 1780",
"address_line_2": "Diagonal 181G 6572",
"country": "AR",
"state": "Álava",
"city": "Suárez",
"zip_code": "25207",
"neighborhood": "Barrio Núñez"
},
"shipping_address": {
"address_line_1": "Diagonal 61 2487",
"address_line_2": "Av. carrera 54 7627",
"country": "AR",
"state": "Guipúzcoa",
"city": "San Benito",
"zip_code": "31718",
"neighborhood": "Villa La Esperanza"
},
"merchant_customer_created_at": "2025-11-26T20:34:06.941Z",
"geolocation": {
"latitude": "80.00",
"longitude": "103.00"
}
},
"additional_data": {
"airline": {
"pnr": "ABC123",
"legs": [
{
"order": null,
"route_order": null,
"passenger_id": null,
"departure_airport": "JFK",
"departure_datetime": "2024-07-03T05:00:00",
"departure_airport_timezone": "GMT-05",
"arrival_airport": "LAX",
"arrival_airport_timezone": "+00:00",
"arrival_datetime": "2030-07-03T22:59:00",
"carrier_code": "AA",
"carrier_name": "American Airlines",
"flight_number": "123",
"fare_basis_code": "Y",
"fare_class_code": "S",
"base_fare": 1800,
"base_fare_currency": "USD",
"stopover_code": "O",
"departure_airport_country": "NL",
"departure_airport_city": "Amsterdam",
"arrival_airport_country": "AR",
"arrival_airport_city": "Buenos aires",
"expedited_boarding": null,
"extra_baggage": null,
"purchased_meals": null,
"selected_seat": null
}
],
"passengers": [
{
"id": null,
"first_name": "Antonio",
"last_name": "Vargas",
"middle_name": "Piedad",
"type": "A",
"date_of_birth": "1999-12-17",
"nationality": "US",
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"country": "CO",
"loyalty_number": "79250001",
"loyalty_tier": "DIAMOND",
"email": "anaarias@example.com",
"phone": {
"number": "91112345678",
"country_code": "54"
},
"address": null,
"evidence_document_source": null
},
{
"id": null,
"first_name": "Álvaro",
"last_name": "Bravo",
"middle_name": "Edwin",
"type": "C",
"date_of_birth": "1973-07-25",
"nationality": "CO",
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"country": "CO",
"loyalty_number": "79250002",
"loyalty_tier": "SILVER",
"email": "leidysanchez@example.com",
"phone": {
"number": "91112345678",
"country_code": "54"
},
"address": null,
"evidence_document_source": null
}
],
"type": null,
"ticket": {
"ticket_number": "BRB0001",
"passenger_id": null,
"e_ticket": true,
"restricted": false,
"total_fare_amount": 2000,
"total_tax_amount": 180,
"total_fee_amount": 20,
"issue": {
"carrier_prefix_code": "AA",
"travel_agent_code": "A12345",
"travel_agent_name": "TRAVEL AGENCY",
"date": "2023-10-31",
"address": "123 Main St",
"city": "New York",
"country": "US",
"zip_code": "10001",
"booking_system_code": "1G",
"booking_system_name": "Galileo"
}
},
"tickets": [
{
"ticket_number": "BRB0001",
"passenger_id": null,
"e_ticket": true,
"restricted": false,
"total_fare_amount": 2000,
"total_tax_amount": 180,
"total_fee_amount": 20,
"issue": {
"carrier_prefix_code": "AA",
"travel_agent_code": "A12345",
"travel_agent_name": "TRAVEL AGENCY",
"date": "2023-10-31",
"address": "123 Main St",
"city": "New York",
"country": "US",
"zip_code": "10001",
"booking_system_code": "1G",
"booking_system_name": "Galileo"
}
}
]
},
"transportations": null,
"order": {
"fee_amount": 1,
"shipping_amount": 3,
"tip_amount": 2,
"items": [
{
"id": "97029",
"name": "SKIRT",
"quantity": 3,
"unit_amount": 2000,
"category": "OTHERS",
"brand": "Barrera Group",
"sku_code": "SC-01905",
"manufacture_part_number": "MPN-70919"
},
{
"id": "61906",
"name": "SKIRT",
"quantity": 1,
"unit_amount": 2000,
"category": "OTHERS",
"brand": "Suárez-Castellanos",
"sku_code": "SC-14444",
"manufacture_part_number": "MPN-43825"
}
],
"taxes": [
{
"type": "VAT",
"tax_base": 100,
"value": 10,
"percentage": 10
}
],
"shipping": {
"type": "ELECTRONIC",
"description": "q4O6W8x8ONwpbgHjlxlz",
"carrier": "AR_OCA",
"deliver_at": "2025-11-26T20:34:07.500866Z",
"recipients": []
},
"account_funding": {
"sender": {
"national_entity": null,
"first_name": "Reinaldo",
"last_name": "Rojas",
"legal_name": null,
"email": null,
"country": null,
"date_of_birth": null,
"document": null,
"phone": null,
"address": null
},
"beneficiary": {
"national_entity": null,
"first_name": "Leidy",
"last_name": "González",
"legal_name": null,
"email": null,
"country": "AR",
"date_of_birth": "1983-12-07",
"document": null,
"phone": {
"number": "91112345678",
"country_code": "54"
},
"address": {
"address_line_1": "Calle 4ª 3050",
"address_line_2": "Carrera 98 6425",
"country": "AR",
"city": "",
"zip_code": "",
"neighborhood": "Barrio Colegiales"
}
}
},
"tickets": [
{
"id": "57bfc6e7-c270-4fcc-a578-a76e6eaa4576",
"name": "Ticket vitae",
"description": "Description 4I%n",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "3e9d0621-e8ca-4415-9025-95d568cac569",
"name": "Event doloremque",
"description": "Description ipsam",
"type": "CIRCUS",
"date": "2025-11-26",
"address": {
"address_line_1": "Diagonal 33 2395",
"address_line_2": "Cl. 112E 6497",
"city": "Paz de Ariporo",
"country": "AR",
"state": "Lleida",
"zip_code": "18124",
"neighborhood": "Conjunto Los Laureles"
}
}
},
{
"id": "f842ae67-2f7d-4415-9d9e-9a51d2712c13",
"name": "Ticket aspernatur",
"description": "Description jS3*",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "af726450-abf5-49d1-b43a-9e65f88d606e",
"name": "Event officia",
"description": "Description quo",
"type": "CIRCUS",
"date": "2025-11-26",
"address": {
"address_line_1": "Tr. 194B 459",
"address_line_2": "Cl. 102L Sur 2950",
"city": "Moniquirá",
"country": "AR",
"state": "Segovia",
"zip_code": "31278",
"neighborhood": "Barrio Los Olivos"
}
}
},
{
"id": "51100a8e-04ec-45c1-8fea-2fa70a7966d3",
"name": "Ticket hic",
"description": "Description mR;2",
"type": "PHYSICAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "2164fb39-7be3-46aa-adc9-310eb33b4f05",
"name": "Event hic",
"description": "Description beatae",
"type": "SPORTS",
"date": "2025-11-26",
"address": {
"address_line_1": "Av. Pérez 8882",
"address_line_2": "Carrera 23 5900",
"city": "Vijes",
"country": "AR",
"state": "Zamora",
"zip_code": "24300",
"neighborhood": "Barrio El Paraíso"
}
}
},
{
"id": "6f465375-0ded-4ac7-848c-39450bff069d",
"name": "Ticket totam",
"description": "Description t0}E",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "e564bf42-0385-4ad8-a38a-eb481a434cbf",
"name": "Event neque",
"description": "Description facilis",
"type": "OTHERS",
"date": "2025-11-26",
"address": {
"address_line_1": "Avenida carrera 153 3115",
"address_line_2": "Cr. 121G Bis 4048",
"city": "La Ceja",
"country": "AR",
"state": "Castellón",
"zip_code": "39464",
"neighborhood": "Conjunto Belgrano"
}
}
},
{
"id": "b40b5fb7-3a1b-4315-bf01-4ba9b7ef99aa",
"name": "Ticket esse",
"description": "Description wI2;",
"type": "VIRTUAL",
"amount": {
"value": 2000,
"currency": "ARS"
},
"event": {
"id": "a4f1f47f-8853-4ac2-b574-6b05d4a611fd",
"name": "Event eos",
"description": "Description natus",
"type": "CINEMA",
"date": "2025-11-26",
"address": {
"address_line_1": "Cr. 6E Bis 3665",
"address_line_2": "Carrera 9 Este 1918",
"city": "Teorama",
"country": "AR",
"state": "Madrid",
"zip_code": "32993",
"neighborhood": "Villa Las Flores"
}
}
}
],
"fulfillment": null,
"discounts": [
{
"id": "10FF",
"name": "10% Discount",
"unit_amount": 10
}
],
"sales_channel": "marketplace"
},
"seller_details": {
"name": "Mendoza-Cerón",
"website": "http://navarro.info/category/postsregister.html",
"email": "iospina@example.net",
"address": {
"address_line_1": "Av. calle 5ª 3906",
"address_line_2": "Dg. 8ª 8965",
"country": "AR",
"state": "ARGENTINA",
"city": "Curití",
"zip_code": "15484"
},
"reference": "39245884",
"country": "AR",
"phone": {
"number": "6844503463",
"country_code": "23"
},
"document": {
"document_type": "DNI",
"document_number": "82183204"
},
"industry": "ELECTRONICS",
"merchant_category_code": "6628"
}
},
"transactions": {
"id": "4a963490-70c2-4669-975a-a6901b4b5abf",
"type": "CHARGEBACK",
"status": "CREATED",
"category": "CARD",
"amount": 2000,
"provider_id": "BAMBOO",
"payment_method": {
"vaulted_token": "",
"type": "CARD",
"vault_on_success": false,
"token": "",
"parent_payment_method_type": null,
"detail": {
"card": {
"verify": false,
"capture": false,
"installments": 1,
"installments_plan_id": null,
"first_installment_deferral": 0,
"installments_type": null,
"installment_amount": null,
"installments_total_amount": null,
"soft_descriptor": "",
"authorization_code": "393119",
"retrieval_reference_number": "",
"acquirer_reference_number": "",
"voucher": null,
"card_data": {
"holder_name": "Pepito Perez",
"iin": "45130761",
"lfd": "5348",
"number_length": 16,
"security_code_length": 3,
"brand": "VISA",
"issuer_name": "BANCOLOMBIA",
"issuer_code": null,
"country_code": "CO",
"category": "CLASSIC",
"type": "CREDIT",
"fingerprint": "2213e58a-33d7-4bdc-8cbe-4785f683c410",
"expiration_month": 6,
"expiration_year": 26
},
"stored_credentials": {
"reason": null,
"usage": null,
"subscription_agreement_id": null,
"network_transaction_id": null
}
}
}
},
"response_code": "SUCCEEDED",
"response_message": "CHARGEBACK_CREATED",
"reason": "REQUESTED_BY_CUSTOMER",
"description": "webhook transaction",
"merchant_reference": "Reference-ac04c8a6-78c7-4588-b915-5498455369ef",
"provider_data": {
"id": "BAMBOO",
"transaction_id": "121030201030210312",
"account_id": "",
"status": "APPROVED",
"sub_status": "",
"status_detail": "",
"response_message": null,
"response_code": null,
"raw_response": null,
"third_party_transaction_id": null,
"third_party_account_id": null,
"iso8583_response_code": null,
"iso8583_response_message": null,
"merchant_advice_code": null,
"merchant_advice_code_message": null,
"reason_code": null,
"reason_description": null
},
"connection_data": {
"id": null,
"name": null
},
"created_at": "2025-11-26T20:34:12.529203Z",
"updated_at": "2025-11-26T20:34:12.559289Z",
"merchant_advice_code": null,
"merchant_advice_code_message": null
},
"transactions_history": null,
"split_marketplace": [],
"callback_url": "https://example.com/callback",
"workflow": "DIRECT",
"metadata": [
{
"key": "explicabo",
"value": "nihil"
},
{
"key": "quas",
"value": "veritatis"
},
{
"key": "numquam",
"value": "placeat"
},
{
"key": "eos",
"value": "quo"
},
{
"key": "corrupti",
"value": "eveniet"
},
{
"key": "occaecati",
"value": "consectetur"
}
],
"fraud_screening": null,
"payment_link_id": "",
"subscription_code": null,
"routing_rules": {
"smart_routing": false,
"monitors": false,
"condition": {
"id": 64972,
"name": null,
"description": null
}
},
"simplified_mode": false
}